import { defineConfig } from 'astro/config'
import preact from '@astrojs/preact'

import mdx from '@astrojs/mdx'

// https://astro.build/config
export default defineConfig({
    server: {
        port: 3000,
    },
    markdown: {
        shikiConfig: {
            theme: 'github-light',
        },
    },
    integrations: [preact(), mdx()],
    output: 'static'
})
